[arch-commits] Commit in cups/repos (3 files)

Tobias Powalowski tpowa at archlinux.org
Mon Sep 7 16:51:16 UTC 2009


    Date: Monday, September 7, 2009 @ 12:51:16
  Author: tpowa
Revision: 51340

Merged revisions 51338 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/cups/trunk

........
  r51338 | tpowa | 2009-09-07 16:48:29 +0000 (Mo, 07 Sep 2009) | 2 lines
  
  upgpkg: cups 1.4.0-2
      fix #15998
........

Added:
  cups/repos/testing-i686/fix-infinite-usb-loop.patch
    (from rev 51338, cups/trunk/fix-infinite-usb-loop.patch)
Modified:
  cups/repos/testing-i686/	(properties)
  cups/repos/testing-i686/PKGBUILD

-----------------------------+
 PKGBUILD                    |   12 +++++++++---
 fix-infinite-usb-loop.patch |   35 +++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+), 3 deletions(-)


Property changes on: cups/repos/testing-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /cups/trunk:1-50900
   + /cups/trunk:1-51339

Modified: testing-i686/PKGBUILD
===================================================================
--- testing-i686/PKGBUILD	2009-09-07 16:49:08 UTC (rev 51339)
+++ testing-i686/PKGBUILD	2009-09-07 16:51:16 UTC (rev 51340)
@@ -4,22 +4,28 @@
 pkgbase="cups"
 pkgname=('libcups' 'cups')
 pkgver=1.4.0
-pkgrel=1
+pkgrel=2
 arch=('i686' 'x86_64')
 license=('GPL')
 url="http://www.cups.org/"
 makedepends=('libtiff>=3.9.1' 'libpng>=1.2.39'  'acl' 'openslp' 'pam' 'xdg-utils' 'heimdal>=1.2.1-5' 'gnutls>=2.8.3' 'poppler>=0.10.7-2'
              'xinetd' 'gzip' 'autoconf' 'php' 'libusb' 'dbus-glib' 'avahi'  'hicolor-icon-theme') 
 source=(ftp://ftp.easysw.com/pub/cups/${pkgver}/cups-${pkgver}-source.tar.bz2
-        cups cups.logrotate cups.pam)
+        cups 
+        cups.logrotate 
+        cups.pam
+        fix-infinite-usb-loop.patch)
 options=('!emptydirs')
 md5sums=('bc5e777d4320cecdd1a64de8035171a8'
          '5c85b7d8d2ddd02c2c64955cebbf55ea'
          'f861b18f4446c43918c8643dcbbd7f6d'
-         '96f82c38f3f540b53f3e5144900acf17')
+         '96f82c38f3f540b53f3e5144900acf17'
+         'fdb2e521fe3a6bd6d82acc943acd7e90')
 
 build() {
   cd ${srcdir}/${pkgbase}-${pkgver}
+  # fix usb loop #http://bugs.archlinux.org/task/15998
+  patch -Np1 -i ../fix-infinite-usb-loop.patch || return 1
   # Rebuild configure script for --enable-avahi.
   aclocal -I config-scripts
   autoconf -I config-scripts

Copied: cups/repos/testing-i686/fix-infinite-usb-loop.patch (from rev 51338, cups/trunk/fix-infinite-usb-loop.patch)
===================================================================
--- testing-i686/fix-infinite-usb-loop.patch	                        (rev 0)
+++ testing-i686/fix-infinite-usb-loop.patch	2009-09-07 16:51:16 UTC (rev 51340)
@@ -0,0 +1,35 @@
+diff -urNad cups-1.4.0~/backend/usb-libusb.c cups-1.4.0/backend/usb-libusb.c
+--- cups-1.4.0~/backend/usb-libusb.c	2009-08-08 00:24:14.000000000 +0200
++++ cups-1.4.0/backend/usb-libusb.c	2009-09-02 16:37:31.000000000 +0200
+@@ -158,7 +158,7 @@
+ 
+     while (poll(pfds, 2, -1) > 0)
+     {
+-      if (pfds[0].revents & POLLIN)
++      if (pfds[0].revents & (POLLIN + POLLHUP))
+       {
+ 	if ((bytes = read(print_fd, buffer, sizeof(buffer))) > 0)
+ 	{
+@@ -179,7 +179,12 @@
+       }
+ 
+       if (pfds[1].revents & POLLIN)
+-        tbytes += side_cb(printer, print_fd);
++      {
++        if ((bytes = side_cb(printer, print_fd)) < 0)
++	  pfds[1].events = 0;		/* Filter has gone away... */
++	else
++          tbytes += bytes;
++      }
+     }
+   }
+ 
+@@ -747,7 +752,7 @@
+   if (cupsSideChannelRead(&command, &status, data, &datalen, 1.0))
+   {
+     _cupsLangPuts(stderr, _("WARNING: Failed to read side-channel request!\n"));
+-    return (0);
++    return (-1);
+   }
+ 
+   switch (command) 




More information about the arch-commits mailing list